rmtemplate_gis(1)

NAME

rmtemplate_gis - Delete Postgis template in a PostgreSQL server.

SYNTAX

rmtemplate_gis [option]

DESCRIPTION

This program deletes a template database Postgis.
It requires to be run by root, or by PostgreSQL superuser (postgres), or by a dba, or by the cluster owner, or by the database owner.
PostgreSQL should be running.

OPTIONS

For default values see below.

--template=<templatedb>
    Set template name to be <templatedb>

Envirunment variable: TEMPLATEDB.

--dba=<dba_name>
    DBA is required to perform template database building.

Envirunment variable: DBAUSER.

--help
    Output help information and exit.

ENVIRONMENT

TEMPLATEDB
    If $TEMPLATEDB is set, its value is used as the default template name.

DBAUSER
    If $DBAUSER is set, its value is used as the default DBA for removing the template.

FILES

The environment variables for template_gis creation, removal and usage may be stored in files, as follows:

/etc/default/postgis
    will designate default values for the whole system.

$HOME/.postgis/profile
    will designate the values used by the current user by default. Beware, this is the current SYSTEM user, not the dba or the database owner to become. As those values are more user specific, they supersede the ones in the system default file for the current user.

NOTES

The order of precedence of the variables definition:

1.  Command line options.

2.  Environment variables.

3.  The user specific profile file.

4.  The system wide default file.

The builtin (hardwired) values are not a good choice.

EXAMPLES

To run this program the standard way, you can simply type:

# rmtemplate_gis

Alternatively you can specify also a template name to delete:

# rmtemplate_gis --template=template_postgis

AUTHORS

Alex Bodnaru <alexbodn@012.net.il>
Roberto Boati <roberto.boati@gmail.com>

SEE ALSO

createdb.postgis(1), mktemplate_gis(1)